Package org.eclipse.microprofile.fault.tolerance.tck.bulkhead.clientserver

# Class Bulkhead10ClassSemaphoreBean

java.lang.Object
org.eclipse.microprofile.fault.tolerance.tck.bulkhead.clientserver.Bulkhead10ClassSemaphoreBean

@ApplicationScoped @Bulkhead(10) public class Bulkhead10ClassSemaphoreBean extends Object
A simple class level Semaphore @Bulkhead(10)

Author:
  Gordon Hutchison, Andrew Rouse

## Constructor Summary

Constructors
Constructor
Description
`Bulkhead10ClassSemaphoreBean()`

## Method Summary

Modifier and Type
Method
Description
`void`
`test(Barrier barrier)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Bulkhead10ClassSemaphoreBean

public Bulkhead10ClassSemaphoreBean()

## Method Details

### test

public void test(Barrier barrier)